Index: issm/trunk/externalpackages/vim/addons/vim/syntax/c.vim
===================================================================
--- issm/trunk/externalpackages/vim/addons/vim/syntax/c.vim	(revision 12709)
+++ issm/trunk/externalpackages/vim/addons/vim/syntax/c.vim	(revision 13395)
@@ -408,152 +408,164 @@
 syn keyword	cType		Vec Mat SeqVec SeqMat
 "other ISSM's syntax
-syn keyword	cType		mxArray ErrorException QuadtreeBox IssmDouble IssmPDouble
+syn keyword	cType		mxArray ErrorException QuadtreeBox IssmDouble IssmPDouble Observations
 
 "ISSM's objects begin
-syn keyword cType objects.h
-syn keyword cType Object
-syn keyword cType Hook
-syn keyword cType DofIndexing
-syn keyword cType Vertex
-syn keyword cType Node
-syn keyword cType Segment
-syn keyword cType IoModel
-syn keyword cType Patch
-syn keyword cType Update
-syn keyword cType Constraint
-syn keyword cType SpcStatic
-syn keyword cType SpcTransient
-syn keyword cType SpcDynamic
+syn keyword cType GaussPenta
+syn keyword cType gaussobjects
 syn keyword cType GaussTria
-syn keyword cType GaussPenta
-syn keyword cType Load
-syn keyword cType Friction
-syn keyword cType Icefront
-syn keyword cType Numericalflux
-syn keyword cType Riftfront
-syn keyword cType Penpair
-syn keyword cType Pengrid
-syn keyword cType Element
-syn keyword cType Penta
-syn keyword cType PentaHook
-syn keyword cType PentaRef
-syn keyword cType Tria
-syn keyword cType TriaHook
-syn keyword cType TriaRef
-syn keyword cType KML_Attribute
-syn keyword cType KML_Comment
-syn keyword cType KML_ColorStyle
-syn keyword cType KML_Container
-syn keyword cType KML_Document
-syn keyword cType KML_Feature
-syn keyword cType KML_File
-syn keyword cType KML_Folder
-syn keyword cType KML_Geometry
-syn keyword cType KML_GroundOverlay
-syn keyword cType KML_Icon
-syn keyword cType KML_LatLonBox
-syn keyword cType KML_LinearRing
-syn keyword cType KML_LineString
-syn keyword cType KML_LineStyle
-syn keyword cType KML_MultiGeometry
-syn keyword cType KML_Object
-syn keyword cType KML_Overlay
-syn keyword cType KML_Point
-syn keyword cType KML_Placemark
-syn keyword cType KML_Polygon
-syn keyword cType KML_PolyStyle
-syn keyword cType KML_Style
-syn keyword cType KML_StyleSelector
-syn keyword cType KML_SubStyle
-syn keyword cType KML_Unknown
-syn keyword cType KMLFileReadUtils
-syn keyword cType Option
-syn keyword cType OptionDouble
-syn keyword cType OptionLogical
-syn keyword cType OptionChar
-syn keyword cType OptionStruct
-syn keyword cType OptionCell
-syn keyword cType OptionUtilities
-syn keyword cType Input
-syn keyword cType BoolInput
-syn keyword cType DoubleInput
-syn keyword cType IntInput
-syn keyword cType PentaP1Input
-syn keyword cType TriaP1Input
-syn keyword cType ControlInput
-syn keyword cType DatasetInput
-syn keyword cType TransientInput
-syn keyword cType ElementResult
-syn keyword cType DoubleElementResult
-syn keyword cType TriaP1ElementResult
-syn keyword cType PentaP1ElementResult
-syn keyword cType BoolElementResult
-syn keyword cType ExternalResult
-syn keyword cType BoolExternalResult
-syn keyword cType DoubleExternalResult
-syn keyword cType DoubleVecExternalResult
-syn keyword cType DoubleMatExternalResult
-syn keyword cType IntExternalResult
-syn keyword cType PetscVecExternalResult
-syn keyword cType StringExternalResult
+syn keyword cType objects
 syn keyword cType Material
 syn keyword cType Matice
 syn keyword cType Matpar
+syn keyword cType objects
+syn keyword cType Contour
+syn keyword cType DoubleInput
+syn keyword cType Input
+syn keyword cType ControlInput
+syn keyword cType DatasetInput
+syn keyword cType IntInput
+syn keyword cType BoolInput
+syn keyword cType TriaP1Input
+syn keyword cType TransientInput
+syn keyword cType PentaP1Input
+syn keyword cType KML_Icon
+syn keyword cType KML_Point
+syn keyword cType KML_LinearRing
+syn keyword cType KML_Feature
+syn keyword cType KMLFileReadUtils
+syn keyword cType KML_StyleSelector
+syn keyword cType KML_LatLonBox
+syn keyword cType KML_Attribute
+syn keyword cType KML_PolyStyle
+syn keyword cType KML_Object
+syn keyword cType KML_SubStyle
+syn keyword cType KML_LineString
+syn keyword cType KML_Overlay
+syn keyword cType KML_Container
+syn keyword cType KML_Polygon
+syn keyword cType KML_Geometry
+syn keyword cType KML_ColorStyle
+syn keyword cType KML_Placemark
+syn keyword cType KML_Unknown
+syn keyword cType KML_GroundOverlay
+syn keyword cType KML_Style
+syn keyword cType KML_Comment
+syn keyword cType KML_MultiGeometry
+syn keyword cType KML_LineStyle
+syn keyword cType KML_Folder
+syn keyword cType KML_Document
+syn keyword cType KML_File
+syn keyword cType DoubleVecParam
+syn keyword cType DoubleParam
+syn keyword cType DoubleMatArrayParam
+syn keyword cType DoubleMatParam
+syn keyword cType Param
+syn keyword cType FileParam
+syn keyword cType IntVecParam
+syn keyword cType IntParam
+syn keyword cType BoolParam
+syn keyword cType IntMatParam
+syn keyword cType VectorParam
+syn keyword cType DoubleTransientMatParam
+syn keyword cType MatrixParam
+syn keyword cType StringArrayParam
+syn keyword cType StringParam
+syn keyword cType TransientParam
+syn keyword cType OptionStruct
+syn keyword cType OptionDouble
+syn keyword cType OptionLogical
+syn keyword cType OptionUtilities
+syn keyword cType OptionChar
+syn keyword cType Option
+syn keyword cType OptionCell
+syn keyword cType Segment
+syn keyword cType Icefront
+syn keyword cType Friction
+syn keyword cType Riftfront
+syn keyword cType Numericalflux
+syn keyword cType Penpair
+syn keyword cType Load
+syn keyword cType Pengrid
+syn keyword cType Object
+syn keyword cType DoubleVecExternalResult
+syn keyword cType DoubleExternalResult
+syn keyword cType IntExternalResult
+syn keyword cType BoolExternalResult
+syn keyword cType DoubleMatExternalResult
+syn keyword cType PetscVecExternalResult
+syn keyword cType ExternalResult
+syn keyword cType StringExternalResult
+syn keyword cType Vertex
+syn keyword cType SpcDynamic
+syn keyword cType SpcStatic
+syn keyword cType SpcTransient
+syn keyword cType Constraint
+syn keyword cType TriaP1ElementResult
+syn keyword cType PentaP1ElementResult
+syn keyword cType DoubleElementResult
+syn keyword cType ElementResultLocal
+syn keyword cType BoolElementResult
+syn keyword cType ElementResult
+syn keyword cType Node
+syn keyword cType TriaRef
+syn keyword cType TriaHook
+syn keyword cType PentaRef
+syn keyword cType PentaHook
+syn keyword cType Tria
+syn keyword cType Element
+syn keyword cType Penta
+syn keyword cType classes
+syn keyword cType DofIndexing
+syn keyword cType Patch
+syn keyword cType Hook
+syn keyword cType Quadtree
+syn keyword cType Observation
+syn keyword cType ExponentialVariogram
+syn keyword cType GaussianVariogram
+syn keyword cType SphericalVariogram
+syn keyword cType PowerVariogram
+syn keyword cType krigingobjects
+syn keyword cType Variogram
+syn keyword cType DakotaPlugin
+syn keyword cType ElementVector
 syn keyword cType ElementMatrix
-syn keyword cType ElementVector
+syn keyword cType matrixobjects
 syn keyword cType Vector
 syn keyword cType Matrix
-syn keyword cType BoolParam
-syn keyword cType DoubleMatParam
-syn keyword cType DoubleTransientMatParam
-syn keyword cType DoubleMatArrayParam
-syn keyword cType DoubleParam
-syn keyword cType DoubleVecParam
-syn keyword cType IntParam
-syn keyword cType IntVecParam
-syn keyword cType IntMatParam
-syn keyword cType FileParam
-syn keyword cType Param
-syn keyword cType MatrixParam
-syn keyword cType VectorParam
-syn keyword cType StringArrayParam
-syn keyword cType StringParam
-syn keyword cType Contour
-syn keyword cType FemModel
-syn keyword cType OptArgs
-syn keyword cType OptPars
+syn keyword cType GeomSubDomain
+syn keyword cType Geometry
+syn keyword cType AdjacentTriangle
+syn keyword cType VertexOnEdge
+syn keyword cType BamgQuadtree
+syn keyword cType Edge
+syn keyword cType BamgVertex
+syn keyword cType SetOfE4
+syn keyword cType GeomEdge
+syn keyword cType Direction
+syn keyword cType VertexOnGeom
+syn keyword cType R2
+syn keyword cType Mesh
+syn keyword cType ListofIntersectionTriangles
+syn keyword cType Triangle
+syn keyword cType DoubleAndInt
+syn keyword cType VertexOnVertex
 syn keyword cType BamgOpts
 syn keyword cType BamgGeom
+syn keyword cType bamgobjects
+syn keyword cType CrackedEdge
+syn keyword cType SubDomain
 syn keyword cType BamgMesh
 syn keyword cType Metric
-syn keyword cType DoubleAndInt
-syn keyword cType Direction
-syn keyword cType BamgVertex
-syn keyword cType AdjacentTriangle
-syn keyword cType Edge
+syn keyword cType include
+syn keyword cType typedefs
+syn keyword cType Curve
+syn keyword cType macros
 syn keyword cType GeomVertex
-syn keyword cType GeomEdge
-syn keyword cType Curve
-syn keyword cType Triangle
-syn keyword cType ListofIntersectionTriangles
-syn keyword cType GeomSubDomain
-syn keyword cType SubDomain
-syn keyword cType VertexOnGeom
-syn keyword cType VertexOnVertex
-syn keyword cType VertexOnEdge
-syn keyword cType CrackedEdge
-syn keyword cType Mesh
-syn keyword cType Geometry
-syn keyword cType BamgQuadtree
-syn keyword cType SetOfE4
-syn keyword cType Variogram
-syn keyword cType GaussianVariogram
-syn keyword cType ExponentialVariogram
-syn keyword cType SphericalVariogram
-syn keyword cType PowerVariogram
-syn keyword cType Quadtree
-syn keyword cType Observation
+syn keyword cType OptArgs
+syn keyword cType Update
+syn keyword cType OptPars
+syn keyword cType IoModel
+syn keyword cType FemModel
 "ISSM's objects end
-
 "ISSM's Enums begin
 syn keyword cConstant AutodiffForwardEnum
@@ -694,8 +706,14 @@
 syn keyword cConstant SettingsResultsAsPatchesEnum
 syn keyword cConstant SettingsWaitonlockEnum
-syn keyword cConstant DebugPetscProfilingEnum
-syn keyword cConstant PetscProfilingCurrentMemEnum
-syn keyword cConstant PetscProfilingCurrentFlopsEnum
-syn keyword cConstant PetscProfilingSolutionTimeEnum
+syn keyword cConstant SurfaceforcingsDelta18oEnum
+syn keyword cConstant SurfaceforcingsDelta18oSurfaceEnum
+syn keyword cConstant SurfaceforcingsIsdelta18oEnum
+syn keyword cConstant SurfaceforcingsPrecipitationsPresentdayEnum
+syn keyword cConstant SurfaceforcingsTemperaturesPresentdayEnum
+syn keyword cConstant SurfaceforcingsTemperaturesLgmEnum
+syn keyword cConstant DebugProfilingEnum
+syn keyword cConstant ProfilingCurrentMemEnum
+syn keyword cConstant ProfilingCurrentFlopsEnum
+syn keyword cConstant ProfilingSolutionTimeEnum
 syn keyword cConstant MaxIterationConvergenceFlagEnum
 syn keyword cConstant SteadystateMaxiterEnum
@@ -807,4 +825,5 @@
 syn keyword cConstant IntParamEnum
 syn keyword cConstant IntVecParamEnum
+syn keyword cConstant TransientParamEnum
 syn keyword cConstant MacAyeal2dIceFrontEnum
 syn keyword cConstant MacAyeal3dIceFrontEnum
@@ -926,4 +945,7 @@
 syn keyword cConstant StressTensorzzEnum
 syn keyword cConstant IceVolumeEnum
+syn keyword cConstant TotalSmbEnum
+syn keyword cConstant ThicknessAlongGradientEnum
+syn keyword cConstant ThicknessAcrossGradientEnum
 syn keyword cConstant P0Enum
 syn keyword cConstant P1Enum
@@ -1009,22 +1031,22 @@
 
 if !exists("c_no_ansi") || exists("c_ansi_typedefs")
-  syn keyword   cType		size_t ssize_t wchar_t ptrdiff_t sig_atomic_t fpos_t
-  syn keyword   cType		clock_t time_t va_list jmp_buf FILE DIR div_t ldiv_t
-  syn keyword   cType		mbstate_t wctrans_t wint_t wctype_t
-  syn keyword   cType		lldiv_t float_t double_t fenv_t fexcept_t
+	syn keyword   cType		size_t ssize_t wchar_t ptrdiff_t sig_atomic_t fpos_t
+	syn keyword   cType		clock_t time_t va_list jmp_buf FILE DIR div_t ldiv_t
+	syn keyword   cType		mbstate_t wctrans_t wint_t wctype_t
+	syn keyword   cType		lldiv_t float_t double_t fenv_t fexcept_t
 endif
 if !exists("c_no_c99") " ISO C99
-  syn keyword	cType		bool complex imaginary
-  syn keyword	cType		int8_t int16_t int32_t int64_t
-  syn keyword	cType		uint8_t uint16_t uint32_t uint64_t
-  syn keyword	cType		int_least8_t int_least16_t int_least32_t int_least64_t
-  syn keyword	cType		uint_least8_t uint_least16_t uint_least32_t uint_least64_t
-  syn keyword	cType		int_fast8_t int_fast16_t int_fast32_t int_fast64_t
-  syn keyword	cType		uint_fast8_t uint_fast16_t uint_fast32_t uint_fast64_t
-  syn keyword	cType		intptr_t uintptr_t
-  syn keyword	cType		intmax_t uintmax_t
+	syn keyword	cType		bool complex imaginary
+	syn keyword	cType		int8_t int16_t int32_t int64_t
+	syn keyword	cType		uint8_t uint16_t uint32_t uint64_t
+	syn keyword	cType		int_least8_t int_least16_t int_least32_t int_least64_t
+	syn keyword	cType		uint_least8_t uint_least16_t uint_least32_t uint_least64_t
+	syn keyword	cType		int_fast8_t int_fast16_t int_fast32_t int_fast64_t
+	syn keyword	cType		uint_fast8_t uint_fast16_t uint_fast32_t uint_fast64_t
+	syn keyword	cType		intptr_t uintptr_t
+	syn keyword	cType		intmax_t uintmax_t
 endif
 if exists("c_gnu")
-  syn keyword	cType		__label__ __complex__ __volatile__
+	syn keyword	cType		__label__ __complex__ __volatile__
 endif
 
@@ -1032,89 +1054,89 @@
 syn keyword	cStorageClass	static register auto volatile extern const VOL
 if exists("c_gnu")
-  syn keyword	cStorageClass	inline __attribute__
+	syn keyword	cStorageClass	inline __attribute__
 endif
 if !exists("c_no_c99")
-  syn keyword	cStorageClass	inline restrict
+	syn keyword	cStorageClass	inline restrict
 endif
 
 if !exists("c_no_ansi") || exists("c_ansi_constants") || exists("c_gnu")
-  if exists("c_gnu")
-    syn keyword cConstant __GNUC__ __FUNCTION__ __PRETTY_FUNCTION__
-  endif
-  syn keyword cConstant __LINE__ __FILE__ __DATE__ __TIME__ __STDC__ __func__
-  syn keyword cConstant __STDC_VERSION__
-  syn keyword cConstant CHAR_BIT MB_LEN_MAX MB_CUR_MAX
-  syn keyword cConstant UCHAR_MAX UINT_MAX ULONG_MAX USHRT_MAX
-  syn keyword cConstant CHAR_MIN INT_MIN LONG_MIN SHRT_MIN
-  syn keyword cConstant CHAR_MAX INT_MAX LONG_MAX SHRT_MAX
-  syn keyword cConstant SCHAR_MIN SINT_MIN SLONG_MIN SSHRT_MIN
-  syn keyword cConstant SCHAR_MAX SINT_MAX SLONG_MAX SSHRT_MAX
-  if !exists("c_no_c99")
-    syn keyword cConstant LLONG_MIN LLONG_MAX ULLONG_MAX
-    syn keyword cConstant INT8_MIN INT16_MIN INT32_MIN INT64_MIN
-    syn keyword cConstant INT8_MAX INT16_MAX INT32_MAX INT64_MAX
-    syn keyword cConstant UINT8_MAX UINT16_MAX UINT32_MAX UINT64_MAX
-    syn keyword cConstant INT_LEAST8_MIN INT_LEAST16_MIN INT_LEAST32_MIN INT_LEAST64_MIN
-    syn keyword cConstant INT_LEAST8_MAX INT_LEAST16_MAX INT_LEAST32_MAX INT_LEAST64_MAX
-    syn keyword cConstant UINT_LEAST8_MAX UINT_LEAST16_MAX UINT_LEAST32_MAX UINT_LEAST64_MAX
-    syn keyword cConstant INT_FAST8_MIN INT_FAST16_MIN INT_FAST32_MIN INT_FAST64_MIN
-    syn keyword cConstant INT_FAST8_MAX INT_FAST16_MAX INT_FAST32_MAX INT_FAST64_MAX
-    syn keyword cConstant UINT_FAST8_MAX UINT_FAST16_MAX UINT_FAST32_MAX UINT_FAST64_MAX
-    syn keyword cConstant INTPTR_MIN INTPTR_MAX UINTPTR_MAX
-    syn keyword cConstant INTMAX_MIN INTMAX_MAX UINTMAX_MAX
-    syn keyword cConstant PTRDIFF_MIN PTRDIFF_MAX SIG_ATOMIC_MIN SIG_ATOMIC_MAX
-    syn keyword cConstant SIZE_MAX WCHAR_MIN WCHAR_MAX WINT_MIN WINT_MAX
-  endif
-  syn keyword cConstant FLT_RADIX FLT_ROUNDS
-  syn keyword cConstant FLT_DIG FLT_MANT_DIG FLT_EPSILON
-  syn keyword cConstant DBL_DIG DBL_MANT_DIG DBL_EPSILON
-  syn keyword cConstant LDBL_DIG LDBL_MANT_DIG LDBL_EPSILON
-  syn keyword cConstant FLT_MIN FLT_MAX FLT_MIN_EXP FLT_MAX_EXP
-  syn keyword cConstant FLT_MIN_10_EXP FLT_MAX_10_EXP
-  syn keyword cConstant DBL_MIN DBL_MAX DBL_MIN_EXP DBL_MAX_EXP
-  syn keyword cConstant DBL_MIN_10_EXP DBL_MAX_10_EXP
-  syn keyword cConstant LDBL_MIN LDBL_MAX LDBL_MIN_EXP LDBL_MAX_EXP
-  syn keyword cConstant LDBL_MIN_10_EXP LDBL_MAX_10_EXP
-  syn keyword cConstant HUGE_VAL CLOCKS_PER_SEC NULL _NO_LEAP_SECONDS _LOCALTIME
-  syn keyword cConstant LC_ALL LC_COLLATE LC_CTYPE LC_MONETARY
-  syn keyword cConstant LC_NUMERIC LC_TIME
-" syn keyword cConstant SIG_DFL SIG_ERR SIG_IGN
-  syn keyword cAnsiFuncPtr SIG_DFL SIG_ERR SIG_IGN
-  syn keyword cConstant SIGABRT SIGFPE SIGILL SIGHUP SIGINT SIGSEGV SIGTERM
-  syn keyword cConstant INFINITY     FP_SUBNORMAL FP_ILOGB0
-  syn keyword cConstant NAN          FP_ZERO      FP_ILOGBNAN
-  syn keyword cConstant FP_INFINITE  FP_FAST_FMA
-  syn keyword cConstant HUGE_VALF    FP_NAN       FP_FAST_FMAF
-  syn keyword cConstant HUGE_VALL    FP_NORMAL    FP_FAST_FMAL
-  syn keyword cConstant FE_OVERFLOW      FE_TOWARDZERO
-  syn keyword cConstant FE_UNDERFLOW     FE_UPWARD
-  syn keyword cConstant FE_DIVBYZERO     FE_ALL_EXCEPT    FE_DFL_ENV
-  syn keyword cConstant FE_INEXACT       FE_DOWNWARD
-  syn keyword cConstant FE_INVALID       FE_TONEAREST
-  syn keyword cConstant	_Complex_I _Imaginary_I 
-  " Add POSIX signals as well...
-  syn keyword cConstant SIGABRT SIGALRM SIGCHLD SIGCONT SIGFPE SIGHUP
-  syn keyword cConstant SIGILL SIGINT SIGKILL SIGPIPE SIGQUIT SIGSEGV
-  syn keyword cConstant SIGSTOP SIGTERM SIGTRAP SIGTSTP SIGTTIN SIGTTOU
-  syn keyword cConstant SIGUSR1 SIGUSR2
-  syn keyword cConstant _IOFBF _IOLBF _IONBF BUFSIZ EOF WEOF
-  syn keyword cConstant FOPEN_MAX FILENAME_MAX L_tmpnam
-  syn keyword cConstant SEEK_CUR SEEK_END SEEK_SET
-  syn keyword cConstant TMP_MAX stderr stdin stdout
-  syn keyword cConstant EXIT_FAILURE EXIT_SUCCESS RAND_MAX
-  " Add POSIX errors as well
-  syn keyword cConstant E2BIG EACCES EAGAIN EBADF EBADMSG EBUSY
-  syn keyword cConstant ECANCELED ECHILD EDEADLK EDOM EEXIST EFAULT
-  syn keyword cConstant EFBIG EILSEQ EINPROGRESS EINTR EINVAL EIO EISDIR
-  syn keyword cConstant EMFILE EMLINK EMSGSIZE ENAMETOOLONG ENFILE ENODEV
-  syn keyword cConstant ENOENT ENOEXEC ENOLCK ENOMEM ENOSPC ENOSYS
-  syn keyword cConstant ENOTDIR ENOTEMPTY ENOTSUP ENOTTY ENXIO EPERM
-  syn keyword cConstant EPIPE ERANGE EROFS ESPIPE ESRCH ETIMEDOUT EXDEV
-  " math.h
-  syn keyword cConstant M_E M_LOG2E M_LOG10E M_LN2 M_LN10 M_PI M_PI_2 M_PI_4
-  syn keyword cConstant M_1_PI M_2_PI M_2_SQRTPI M_SQRT2 M_SQRT1_2
+	if exists("c_gnu")
+		syn keyword cConstant __GNUC__ __FUNCTION__ __PRETTY_FUNCTION__
+	endif
+	syn keyword cConstant __LINE__ __FILE__ __DATE__ __TIME__ __STDC__ __func__
+	syn keyword cConstant __STDC_VERSION__
+	syn keyword cConstant CHAR_BIT MB_LEN_MAX MB_CUR_MAX
+	syn keyword cConstant UCHAR_MAX UINT_MAX ULONG_MAX USHRT_MAX
+	syn keyword cConstant CHAR_MIN INT_MIN LONG_MIN SHRT_MIN
+	syn keyword cConstant CHAR_MAX INT_MAX LONG_MAX SHRT_MAX
+	syn keyword cConstant SCHAR_MIN SINT_MIN SLONG_MIN SSHRT_MIN
+	syn keyword cConstant SCHAR_MAX SINT_MAX SLONG_MAX SSHRT_MAX
+	if !exists("c_no_c99")
+		syn keyword cConstant LLONG_MIN LLONG_MAX ULLONG_MAX
+		syn keyword cConstant INT8_MIN INT16_MIN INT32_MIN INT64_MIN
+		syn keyword cConstant INT8_MAX INT16_MAX INT32_MAX INT64_MAX
+		syn keyword cConstant UINT8_MAX UINT16_MAX UINT32_MAX UINT64_MAX
+		syn keyword cConstant INT_LEAST8_MIN INT_LEAST16_MIN INT_LEAST32_MIN INT_LEAST64_MIN
+		syn keyword cConstant INT_LEAST8_MAX INT_LEAST16_MAX INT_LEAST32_MAX INT_LEAST64_MAX
+		syn keyword cConstant UINT_LEAST8_MAX UINT_LEAST16_MAX UINT_LEAST32_MAX UINT_LEAST64_MAX
+		syn keyword cConstant INT_FAST8_MIN INT_FAST16_MIN INT_FAST32_MIN INT_FAST64_MIN
+		syn keyword cConstant INT_FAST8_MAX INT_FAST16_MAX INT_FAST32_MAX INT_FAST64_MAX
+		syn keyword cConstant UINT_FAST8_MAX UINT_FAST16_MAX UINT_FAST32_MAX UINT_FAST64_MAX
+		syn keyword cConstant INTPTR_MIN INTPTR_MAX UINTPTR_MAX
+		syn keyword cConstant INTMAX_MIN INTMAX_MAX UINTMAX_MAX
+		syn keyword cConstant PTRDIFF_MIN PTRDIFF_MAX SIG_ATOMIC_MIN SIG_ATOMIC_MAX
+		syn keyword cConstant SIZE_MAX WCHAR_MIN WCHAR_MAX WINT_MIN WINT_MAX
+	endif
+	syn keyword cConstant FLT_RADIX FLT_ROUNDS
+	syn keyword cConstant FLT_DIG FLT_MANT_DIG FLT_EPSILON
+	syn keyword cConstant DBL_DIG DBL_MANT_DIG DBL_EPSILON
+	syn keyword cConstant LDBL_DIG LDBL_MANT_DIG LDBL_EPSILON
+	syn keyword cConstant FLT_MIN FLT_MAX FLT_MIN_EXP FLT_MAX_EXP
+	syn keyword cConstant FLT_MIN_10_EXP FLT_MAX_10_EXP
+	syn keyword cConstant DBL_MIN DBL_MAX DBL_MIN_EXP DBL_MAX_EXP
+	syn keyword cConstant DBL_MIN_10_EXP DBL_MAX_10_EXP
+	syn keyword cConstant LDBL_MIN LDBL_MAX LDBL_MIN_EXP LDBL_MAX_EXP
+	syn keyword cConstant LDBL_MIN_10_EXP LDBL_MAX_10_EXP
+	syn keyword cConstant HUGE_VAL CLOCKS_PER_SEC NULL _NO_LEAP_SECONDS _LOCALTIME
+	syn keyword cConstant LC_ALL LC_COLLATE LC_CTYPE LC_MONETARY
+	syn keyword cConstant LC_NUMERIC LC_TIME
+	" syn keyword cConstant SIG_DFL SIG_ERR SIG_IGN
+	syn keyword cAnsiFuncPtr SIG_DFL SIG_ERR SIG_IGN
+	syn keyword cConstant SIGABRT SIGFPE SIGILL SIGHUP SIGINT SIGSEGV SIGTERM
+	syn keyword cConstant INFINITY     FP_SUBNORMAL FP_ILOGB0
+	syn keyword cConstant NAN          FP_ZERO      FP_ILOGBNAN
+	syn keyword cConstant FP_INFINITE  FP_FAST_FMA
+	syn keyword cConstant HUGE_VALF    FP_NAN       FP_FAST_FMAF
+	syn keyword cConstant HUGE_VALL    FP_NORMAL    FP_FAST_FMAL
+	syn keyword cConstant FE_OVERFLOW      FE_TOWARDZERO
+	syn keyword cConstant FE_UNDERFLOW     FE_UPWARD
+	syn keyword cConstant FE_DIVBYZERO     FE_ALL_EXCEPT    FE_DFL_ENV
+	syn keyword cConstant FE_INEXACT       FE_DOWNWARD
+	syn keyword cConstant FE_INVALID       FE_TONEAREST
+	syn keyword cConstant	_Complex_I _Imaginary_I 
+	" Add POSIX signals as well...
+	syn keyword cConstant SIGABRT SIGALRM SIGCHLD SIGCONT SIGFPE SIGHUP
+	syn keyword cConstant SIGILL SIGINT SIGKILL SIGPIPE SIGQUIT SIGSEGV
+	syn keyword cConstant SIGSTOP SIGTERM SIGTRAP SIGTSTP SIGTTIN SIGTTOU
+	syn keyword cConstant SIGUSR1 SIGUSR2
+	syn keyword cConstant _IOFBF _IOLBF _IONBF BUFSIZ EOF WEOF
+	syn keyword cConstant FOPEN_MAX FILENAME_MAX L_tmpnam
+	syn keyword cConstant SEEK_CUR SEEK_END SEEK_SET
+	syn keyword cConstant TMP_MAX stderr stdin stdout
+	syn keyword cConstant EXIT_FAILURE EXIT_SUCCESS RAND_MAX
+	" Add POSIX errors as well
+	syn keyword cConstant E2BIG EACCES EAGAIN EBADF EBADMSG EBUSY
+	syn keyword cConstant ECANCELED ECHILD EDEADLK EDOM EEXIST EFAULT
+	syn keyword cConstant EFBIG EILSEQ EINPROGRESS EINTR EINVAL EIO EISDIR
+	syn keyword cConstant EMFILE EMLINK EMSGSIZE ENAMETOOLONG ENFILE ENODEV
+	syn keyword cConstant ENOENT ENOEXEC ENOLCK ENOMEM ENOSPC ENOSYS
+	syn keyword cConstant ENOTDIR ENOTEMPTY ENOTSUP ENOTTY ENXIO EPERM
+	syn keyword cConstant EPIPE ERANGE EROFS ESPIPE ESRCH ETIMEDOUT EXDEV
+	" math.h
+	syn keyword cConstant M_E M_LOG2E M_LOG10E M_LN2 M_LN10 M_PI M_PI_2 M_PI_4
+	syn keyword cConstant M_1_PI M_2_PI M_2_SQRTPI M_SQRT2 M_SQRT1_2
 endif
 if !exists("c_no_c99") " ISO C99
-  syn keyword cConstant true false __bool_true_false_are_defined
+	syn keyword cConstant true false __bool_true_false_are_defined
 endif
 
